Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Jan Djärv <[email-masked]>
Date: Tue, 17 Aug 2010 07:52:19 +0200

Kenichi Handa skrev 2010-08-17 03.44:
> In article<[email-masked]>, Jan Djärv<[email-masked]>  writes:
>
>> I though we where moving away from special cases?  Anyway, empty selection do
>> matter.  Consider this case:
>
>> I select a lot of code in another application.
>> I go to Emacs and set mark, then paste the code with mouse-2 and then M-x
>> indent-region.
>
>> With your scheme, mouse-2 would fail to paste, which would be a nasty surprise.
>
> Surely this is not good.  But which is a nastier surprise
> for new users, your case or my case below:
>
>>>>     (1) S-C-n
>>>>     (2) C-@ C-n
>>>> it's very confusing that they behave differently as to
>>>> selection.

They are both equally bad.  I think we should add a hook to redisplay that 
gets called whenever selection is non-zero.  Then that hook can do the right 
thing.

	Jan D.